Re: [R] Install Rmpi on Fedora with mpich2 installed.

From: Martin Morgan <mtmorgan_at_fhcrc.org>
Date: Wed 21 Dec 2005 - 07:10:52 EST

No direct experience with mpich2 on Fedora, but I think you can use

./configure --with-mpi=/usr/local/mpich2

from within the unpacked Rmpi tarball, or

R CMD INSTALL Rmpi_... --configure-args=--with-mpi=/usr/local/mpich2

from the command line. ... is the tab-completion to the tarball, and /usr/local/mpich2 should be a path such that mpi.h is in /usr/local/mpichs/include/mpi.h. Some insight is in the configure.in file of Rmpi.

Hope that helps! Sorry for the repost, Bin, meant this originally to reply to the newsgroup.

Martin

"Ye, Bin" <yeb@karmanos.org> writes:

> Hi, everyone,
>
> I want to install Rmpi on a cluster with Fedora linux. It already installed mpich2, but not lam-mpi. I installed R-2.2.0 on it already.
>
> And I got error as below:
>
> * Installing *source* package 'Rmpi' ...
> Try to find mpi.h ...
> checking for gcc... gcc
> checking for C compiler default output file name... a.out
> checking whether the C compiler works... yes
> checking whether we are cross compiling... no
> checking for suffix of executables...
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ANSI C... none needed
> checking how to run the C preprocessor... gcc -E
> checking for egrep... grep -E
> checking for ANSI C header files... yes
> checking for sys/types.h... yes
> checking for sys/stat.h... yes
> checking for stdlib.h... yes
> checking for string.h... yes
> checking for memory.h... yes
> checking for strings.h... yes
> checking for inttypes.h... yes
> checking for stdint.h... yes
> checking for unistd.h... yes
> checking mpi.h usability... no
> checking mpi.h presence... no
> checking for mpi.h... no
> Try to find mpi.h ...
> Cannot find mpi head file
> Please check if --with-mpi=/usr/local/mpich2/bin/ is right
> ERROR: configuration failed for package 'Rmpi'
> ** Removing '/usr/local/R-2.2.0/library/Rmpi'
>
> Somehow it can not find the mpi.h which is in usr/local/mpich2. Can anyone kindly give me some hint on what should be done? Will installing lam-mpi solve the problem? If so, should mpich2 be uninstalled first? Or just modify the path will do?
>
> Thanks a lot!
>
>
> Bin
>
> ______________________________________________
> R-help@stat.math.ethz.ch mailing list
> https://stat.ethz.ch/mailman/listinfo/r-help
> PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html



R-help@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-help PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html Received on Wed Dec 21 08:05:29 2005

This archive was generated by hypermail 2.1.8 : Wed 21 Dec 2005 - 09:34:00 EST